#disable debug for now, too little time to search for the stripping
%global debug_package %{nil} 

# Generated from sha3-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sha3

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: SHA3 for Ruby
License: MIT
URL: https://github.com/johanns/sha3#readme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
BuildRequires: rubygem(rake-compiler)
BuildRequires: rubygem(rspec) >= 3.3
BuildRequires: rubygem(rspec) < 4
BuildRequires: rubygem(tasks)
BuildRequires: rubygem(yard)

%description
SHA3 for Ruby is a native (C) FIPS 202 compliant implementation of SHA3
(Keccak) cryptographic hashing algorithm.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.rdoc
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.ci
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sha3.gemspec
%{gem_instdir}/spec
%{gem_instdir}/tests.sh

%changelog
* Sun Feb 16 2020 josef radinger <cheese@nosuchhost.net> - 1.0.1-1
- Initial package
